#!/bin/sh

a= . install2-init-functions

#internet='no'
host='http://ftp.altlinux.org'


# Regexps from alterator-pkg
prefix_re="[[:space:]]*rpm[[:space:]]\+\([^[:space:]]\+[[:space:]]\+\)\?"
updates_re="${prefix_re}http:\/\/\([^[:space:]]\+\)[[:space:]]*"
repo_source='/etc/apt/sources.list.d/alt.list'

# Architectures
host_arch="$(rpm --eval '%_host_cpu')"
arepo=""
test "$host_arch" = "x86_64" && arepo="x86_64-i586"

repo_on()
{
	for arch in "$host_arch" noarch "$arepo"
	do
		test -z "$arch" && continue
		run_chroot sed "s/^#\(${updates_re}${arch}\)/\1/" -i $repo_source ||:
		#run_chroot grep "^${updates_re}${arch}" $repo_source ||:
	done
}

repo_off()
{
	for arch in "$host_arch" noarch "$arepo"
	do
		test -z "$arch" && continue
		run_chroot sed "s/^\(${updates_re}${arch}\)/#\1/" -i $repo_source ||:
	done
}

cdrom_off()
{
	if [ -f $destdir/etc/apt/sources.list.d/sources.list ] ; then
	    # turn off cdrom repository
	    find $destdir/etc/apt/sources.list.d -type f -name \*.list | \
	    while read r
	    do
		sed -r -i '/^[[:space:]]*rpm[[:space:]]+cdrom:/s/^/#/' $r
	    done
	    # turn off cdrom mountpoint
	    sed -i '/[[:space:]]\/media\/cdrom[[:space:]]/s/^/#/' $destdir/etc/fstab ||:
	fi
}

# Detect working Internet connection
# curl --connect-timeout 10 "$host" >/dev/null 2>&1 && internet='yes'

# Make online repositories available
if test -f "$repo_source"
then
	repo_on
	cdrom_off
fi
